Package com.avaya.clientservices.media

## Interface AudioDevicesEventListener

-     @Deprecated
      public interface AudioDevicesEventListener

  Deprecated.
  Interface for communicating audio device events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAudioBecomingNoisy()` | Deprecated. Wired or bluetooth headset unplugged
    `void` | `onBluetoothAdapterState​(boolean state)` | Deprecated. Bluetooth adapter on event Means that Bluetooth has become available.
    `void` | `onBluetoothHeadsetState​(boolean state)` | Deprecated. Bluetooth headset connected event
    `void` | `onHandsetSpeakerState​(boolean state)` | Deprecated. Handset speaker on/off event
    `void` | `onWiredHeadsetState​(boolean state, boolean hasMicrophone)` | Deprecated. Wired headset plugged in event

- - ### Method Detail

    - #### onHandsetSpeakerState

          void onHandsetSpeakerState​(boolean state)

      Deprecated.
      Handset speaker on/off event
      Parameters:
        `state` - State of speaker: true if on, false otherwise.

    - #### onAudioBecomingNoisy

          void onAudioBecomingNoisy()

      Deprecated.
      Wired or bluetooth headset unplugged

    - #### onWiredHeadsetState

          void onWiredHeadsetState​(boolean state,
                                   boolean hasMicrophone)

      Deprecated.
      Wired headset plugged in event
      Parameters:
        `state` - State of wired headset: true if plugged in, false otherwise.
        `hasMicrophone` - Type of headset: true if headset also has microphonen, false otherwise.

    - #### onBluetoothHeadsetState

          void onBluetoothHeadsetState​(boolean state)

      Deprecated.
      Bluetooth headset connected event
      Parameters:
        `state` - State of bluetooth adapter: true if on, false otherwise.

    - #### onBluetoothAdapterState

          void onBluetoothAdapterState​(boolean state)

      Deprecated.
      Bluetooth adapter on event Means that Bluetooth has become available.
      Parameters:
        `state` - State of bluetooth headset: true if connected, false otherwise.